using SecuritySystemContracts.StoragesContracts;

namespace SecuritySystemDatabaseImplement.Implements
{
    public class BackUpInfoStorage : IBackUpInfoStorage
    {
        public List<T>? GetList<T>() where T : class, new()
        {
            using var context = new SecuritySystemDatabase();
            return context.Set<T>().ToList();
        }
        public Type? GetTypeByModelInterface(string modelInterfaceName)
        {
            var assembly = typeof(BackUpInfoStorage).Assembly;
            var types = assembly.GetTypes();
            foreach (var type in types)
            {
                if (type.IsClass &&
                type.GetInterface(modelInterfaceName) != null)
                {
                    return type;
                }
            }
            return null;
        }
    }
}
